Subject: Re: [PATCH 08/19] line-log: always allocate the output prefix

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 May 2024 12:51:55 -0700

Patrick Steinhardt <[email-masked]> writes:

> The returned string by `output_prefix()` is sometimes a string constant
> and sometimes an allocated string. This has been fine until now because
> we always leak the allocated strings, and thus we never tried to free
> the string constant.
>
> Fix the code to always return an allocated string and free the returned
> value at all callsites.

Yay!

This leak always has bothered me, as it is not just once per process
invocation, but once per each commit that is shown.